<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_678ed868ef6" . "e35382774deb" . "bcc39414c" => base64_decode("Y29tbW9uLmhlYWR" . "lci5wZW9wbGU="), "_0c5123aa744f69bb" . "c0e8b3ea2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "_8ff442d955c119a" . "5192572ab3171181" . "8" => base64_decode("YXBwX3Blb3BsZQ=" . "="), "_24e0e36600d6af7740" . "6a44bb618a6253" => base64_decode("dXNl" . "cg=="));
use Claromentis\People\PeopleApplication as PeoplePeopleApplication;
use Claromentis\Search\ItemType;






class PeopleApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_24e0e36600d6af77406a44b" . "b618a6253"] => function () {
            return new ItemType\User();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_678ed868ef6" . "e35382774deb" . "bcc39414c"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8ff442d9" . "55c119a51" . "92572ab31" . "711818"];
    }
    public function GetIcon() : string
    {
        return PeoplePeopleApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_24e0e36600d6af77406a44bb618a62" . "53"]];
    }
}